Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 11254)
@@ -1,17 +1,17 @@
 <form action="." tal:attributes="action request/URL"
   i18n:domain="waeup.kofa" method="POST"  enctype="multipart/form-data">
-  <ul class="tabs" data-tabs="tabs">
-    <li tal:attributes="class view/tab1">
-    <a href="#tab-1">
+  <ul class="tabs nav nav-tabs" data-tabs="tabs">
+    <li class="active">
+    <a href="#tab1" data-toggle="tab">
       <span i18n:translate="">Introduction
       </span></a>
     </li>
-    <li tal:attributes="class view/tab2">
-    <a href="#tab-2">
+    <li>
+    <a href="#tab2" data-toggle="tab">
       <span tal:content="view/subunits">Contents
       </span></a>
     </li>
-    <li tal:attributes="class view/tab3">
-    <a href="#tab-3">
+    <li>
+    <a href="#tab3" data-toggle="tab">
       <span i18n:translate="">Local Roles
       </span></a>
@@ -19,5 +19,6 @@
   </ul>
   <div class="tab-content">
-    <div id="tab-1" tal:attributes="class view/tab1">
+    <div id="tab1" class="active tab-pane">
+     <br />
       <table class="form-table">
         <tbody>
@@ -25,5 +26,4 @@
         </tbody>
       </table>
-
       <div tal:condition="view/availableActions">
         <span tal:repeat="action view/actions" tal:omit-tag="">
@@ -33,7 +33,6 @@
       </div>
     </div>
-    <div id="tab-2" tal:attributes="class view/tab2">
-      <h3 tal:content="view/subunits">SUBUNITS</h3>
-
+    <div id="tab2" class="tab-pane">
+      <br />
       <p i18n:translate="note_armp">
         Please note that containers will be opened in manage mode here.
@@ -42,6 +41,5 @@
         Please be patient until all records have been loaded.
       </p>
-
-      <table class="display dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
@@ -59,5 +57,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry context/values" 	class="gradeC"> <td>
+          <tr tal:repeat="entry context/values"> <td>
               <input type="checkbox" name="val_id"
                 tal:attributes="value entry/__name__" /> </td>
@@ -78,7 +76,7 @@
       </div>
     </div>
-    <div id="tab-3" tal:attributes="class view/tab3">
+    <div id="tab3" class="tab-pane">
       <br />
-      <table class="display dataTableManage">
+      <table class="kofa-data-table dataTableManage">
         <thead>
           <tr>
@@ -94,5 +92,5 @@
         </thead>
         <tbody>
-          <tr tal:repeat="entry view/getUsersWithLocalRoles" class="gradeC">
+          <tr tal:repeat="entry view/getUsersWithLocalRoles">
             <td> <input type="checkbox" name="role_id"
                     tal:attributes="value python: entry['user_name']+'|'+entry['local_role']" />  </td>
@@ -109,28 +107,31 @@
         </span>
       </div> <br /><br />
-      <table class="form-table">
-        <tr> <td>
-            <select id="user" name="user">
-              <option tal:repeat="user view/getUsers"
-                tal:attributes="value user/name">
-              <span tal:replace="user/val/title">USERTITLE
-              </span>
-              </option>
-            </select> </td> <td>
-            <select id="local_role" name="local_role">
-              <option tal:repeat="localrole view/getLocalRoles"
-                tal:attributes="value localrole/name">
-              <span tal:replace="localrole/title">LOCALROLETITLE
-              </span>
-              </option>
-            </select> </td> <td>
-            <div tal:condition="view/availableActions">
-              <span tal:repeat="action view/actions" tal:omit-tag="">
-                <input tal:condition="python:action.label in view.tabthreeactions2"
-                  tal:replace="structure action/render"/>
-              </span>
-            </div> </td>
-        </tr>
-      </table>
+      <div class="form-inline">
+        <br />
+        <div class="form-group">
+          <select id="user" name="user" class="form-control">
+            <option tal:repeat="user view/getUsers"
+                    tal:attributes="value user/name">
+            <span tal:replace="user/val/title">USERTITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group">
+          <select id="local_role" name="local_role" class="form-control">
+            <option tal:repeat="localrole view/getLocalRoles"
+                    tal:attributes="value localrole/name">
+            <span tal:replace="localrole/title">LOCALROLETITLE
+            </span>
+            </option>
+          </select>
+        </div>
+        <div class="form-group" tal:condition="view/availableActions">
+          <span tal:repeat="action view/actions" tal:omit-tag="">
+            <input tal:condition="python:action.label in view.tabthreeactions2"
+                   tal:replace="structure action/render"/>
+          </span>
+        </div>
+      </div>
     </div>
   </div>
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootpage.pt	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantsrootpage.pt	(revision 11254)
@@ -4,5 +4,5 @@
 </span>
 
-<table i18n:domain="waeup.kofa">
+<table i18n:domain="waeup.kofa" class="table table-hover">
   <thead>
     <tr>
@@ -14,5 +14,5 @@
   </thead>
   <tbody>
-    <tr tal:repeat="entry view/containers" class="gradeC">
+    <tr tal:repeat="entry view/containers">
       <td tal:content="entry/year">Year
       </td>
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicantssearchpage.pt	(revision 11254)
@@ -1,17 +1,21 @@
-<form method="POST" i18n:domain="waeup.kofa">
+<form method="POST" i18n:domain="waeup.kofa" class="form-inline">
 <br />
-  <input class="btn primary" type="submit" name="search"
-    tal:attributes="value view/search_button" />
+  <div class="form-group">
+    <input class="btn btn-primary" type="submit" name="search"
+      tal:attributes="value view/search_button" />
+  </div>
+  <div class="form-group">
+    <select name="searchtype" class="form-control">
+      <option i18n:translate="" value="applicant_id">with id</option>
+      <option i18n:translate="" value="fullname">with name</option>
+      <option i18n:translate="" value="reg_number">with registration number</option>
+      <option i18n:translate="" value="email">with email address</option>
+    </select>
+  </div>
+  <div class="form-group">
+    <input type="text" class="form-control" name="searchterm" />
+  </div>
 
-  <select name="searchtype">
-    <option i18n:translate="" value="applicant_id">with id</option>
-    <option i18n:translate="" value="fullname">with name</option>
-    <option i18n:translate="" value="reg_number">with registration number</option>
-    <option i18n:translate="" value="email">with email address</option>
-  </select>
-
-  <input type="text" name="searchterm" />
-
-  <p>&nbsp;</p>
+  <br /><br />
   <div tal:condition="view/results">
     <h3 i18n:translate="">Search Results</h3>
@@ -20,5 +24,5 @@
     <input type="hidden" name="old_searchtype"
          tal:attributes="value view/searchtype" />
-    <table class="display dataTable">
+    <table class="kofa-data-table dataTable">
       <thead>
       <tr>
@@ -30,5 +34,5 @@
       </thead>
       <tbody>
-      <tr tal:repeat="item view/results" class="gradeC">
+      <tr tal:repeat="item view/results">
         <td> <a tal:attributes="href python:view.url(item)">
           <span tal:content="item/applicant_id">XXXX_1234</span></a>
@@ -42,5 +46,4 @@
       </tbody>
     </table>
-    <br />
   </div>
 </form>
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/exportjobsindex.pt	(revision 11254)
@@ -1,3 +1,3 @@
-<table i18n:domain="waeup.kofa">
+<table i18n:domain="waeup.kofa" class="table table-condensed table-hover">
   <thead>
     <tr>
@@ -25,5 +25,5 @@
         <span tal:replace="job/creator">CREATOR</span>
       </td>
-      <td nowrap>
+      <td>
         <span tal:replace="job/start_time">DATETIME</span>
       </td>
@@ -32,18 +32,17 @@
       </td>
       <td nowrap>
-        <a href="" class="btn" i18n:translate=""
+        <a href="" class="btn btn-default btn-xs" i18n:translate=""
            tal:condition="job/show_refresh_button">
-          <img tal:attributes="src static/actionicon_reload.png" />
+          <img src="/static/img/actionicon_reload.png" />
           Reload
         </a>
         <form method="POST">
-          <a href="" class="btn primary small"
+          <a href="" class="btn btn-primary btn-xs"
                  tal:attributes="href job/download_url"
                  tal:condition="job/show_download_button">
             Download</a>
-
           <input type="hidden" name="job_id"
                  tal:attributes="value job/job" />
-          <input type="submit" class="btn small"
+          <input type="submit" class="btn btn-default btn-xs"
                  name="DISCARD" value="Discard"
                  tal:condition="job/show_discard_button" />
@@ -53,9 +52,7 @@
   </tbody>
 </table>
+
 <form method="POST" i18n:domain="waeup.kofa">
-  <div class="span12">
-
-  </div>
-  <input class="btn primary" type="submit" name="CREATE"
+  <input class="btn btn-primary" type="submit" name="CREATE"
          value="Start new export"
           />
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/utils.py	(revision 11254)
@@ -51,5 +51,5 @@
             session_config = grok.getSite()['configuration'][session]
         except KeyError:
-            return _(u'Session configuration object is not available.')
+            return _(u'Session configuration object is not available.'), None
         payment.p_id = "p%s" % timestamp
         payment.p_item = container.title
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/async.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/async.py	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/async.py	(revision 11254)
@@ -4,5 +4,4 @@
 from waeup.kofa.async import IJob, IJobManager
 from waeup.kofa.browser.layout import KofaPage
-from waeup.kofa.browser.resources import jquery, loadbar
 from waeup.kofa.interfaces import IKofaObject, IDataCenter
 from waeup.kofa.interfaces import MessageFactory as _
@@ -51,5 +50,4 @@
         self.exports = self.getRunningExports()
         self.uncompleted = [x for x in self.exports if x[0] != 'completed']
-        loadbar.need()
 
     def render(self):
@@ -126,5 +124,4 @@
 
     def update(self, START_NEW=None, REMOVE=None, job_id=None):
-        jquery.need()
         if REMOVE and job_id:
             self.context.remove(job_id)
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/captcha.py	(revision 11254)
@@ -28,5 +28,4 @@
 from zope.interface import Interface
 from zope.publisher.interfaces.http import IHTTPRequest
-from waeup.kofa.browser import resources
 from waeup.kofa.browser.layout import KofaPage
 from waeup.kofa.browser.interfaces import (
@@ -229,6 +228,4 @@
     #: name of challenge field in HTTP request
     chal_field = 'recaptcha_challenge_field'
-    #: resource to set theme and other options
-    theme = resources.recaptcha_white
 
     # Do not use the following keys in productive environments!  As
@@ -294,6 +291,4 @@
         form).
         """
-        if self.theme is not None:
-            self.theme.need()
         error_param = ''
         if error_code:
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/interfaces.py	(revision 11254)
@@ -59,39 +59,4 @@
         """Get the list of breadcrumbs as real Python list.
         """
-class ITheme(Interface):
-    """An theme or 'skin'.
-
-    Themes are basically collections of CSS- and/or JavaScript files
-    stored somewhere. In Grok-contexts these files can be registered
-    as 'resources' (see :mod:`waeup.kofa.browser.resources`).
-
-    Furthermore, to make themes selectable and distinctable from each
-    other we assign them short descriptions.
-
-    Themes should be registered as named utilities so that they can be
-    defined also in third-party packages and be looked up by other
-    components like theme-selectors.
-    """
-    description = schema.TextLine(
-        title = u'Description',
-        description = u'Short description of the theme for choice fields',
-        required = False,
-        )
-
-    def getResources():
-        """Get resources of the theme.
-
-        Deliver a list of resources that must be included in a web page to
-        let it be rendered in the theme's style.
-
-        A resource is normally defined in the `resources` module. If a
-        theme needs several of them which normally do not depend on
-        each other then all these resources can be returned by this
-        method. Normally, you will only return one resource.
-
-        These resources will (if the theme is selected) be `need()`-ed
-        by the `update()` method of the general site layout.
-        """
-
 class ICaptchaRequest(Interface):
     """A set of data required to verify captcha solutions.
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py	(revision 11253)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/layout.py	(revision 11254)
@@ -26,5 +26,4 @@
 from zope.i18n import translate
 from zope.i18nmessageid import Message
-from hurry.resource import mode
 from megrok.layout import Page, Layout, Form, EditForm, DisplayForm, AddForm
 from z3c.flashmessage.interfaces import IMessageSource, IMessageReceiver
@@ -37,6 +36,5 @@
 from waeup.kofa.utils.helpers import to_timezone
 from waeup.kofa.browser.interfaces import (
-    ITheme, IStudentNavigationBase, IApplicantBase)
-from waeup.kofa.browser.theming import get_all_themes, KofaThemeBase
+    IStudentNavigationBase, IApplicantBase)
 from waeup.kofa.authentication import get_principal_role_manager
 
@@ -74,4 +72,7 @@
         super(KofaAction, self).__init__(label, **options)
         self.style = style
+        if style == '':
+            self.style = 'default'
+        
 
     def render(self):
@@ -82,5 +83,5 @@
             label = translate(self.label, context=self.form.request)
         return ('<input type="submit" id="%s" name="%s" value="%s"'
-                ' class="btn %s"/>' %
+                ' class="btn btn-%s"/>' %
                 (self.__name__, self.__name__, escape(label, quote=True),
                 self.style))
@@ -96,4 +97,10 @@
 
     msg = _('\'Are you sure?\'')
+
+    def __init__(self, label, style='', **options):
+        super(JSAction, self).__init__(label, **options)
+        self.style = style
+        if style == '':
+            self.style = 'default'
 
     def render(self):
@@ -105,6 +112,7 @@
         msg = translate(self.msg, context=self.form.request)
         return ('<input type="submit" id="%s" name="%s" value="%s"'
-                ' class="btn" onclick="return confirmPost(%s)" />' %
-                (self.__name__, self.__name__, escape(label, quote=True), msg)
+                ' class="btn btn-%s" onclick="return window.confirm(%s)" />' %
+                (self.__name__, self.__name__, escape(label, quote=True),
+                 self.style, msg)
                 )
 
@@ -151,11 +159,12 @@
         return self.url(site, name)
 
-    def flash(self, message, type='alert-message warning'):
+    def flash(self, message, type='success'):
         """Send a short message to the user.
         """
+        cssClass = 'alert alert-%s' % type
         source = queryUtility(IMessageSource, name='session')
         if source is None:
             return None
-        source.send(message, type)
+        source.send(message, cssClass)
         return True
 
@@ -174,10 +183,6 @@
         # Width parameters will be overridden by Bootstrap
         # so we have to set the css class
-        if self.widgets.get('subject'):
-            self.widgets['subject'].cssClass = 'span9'
         if self.widgets.get('body'):
             self.widgets['body'].height = 10
-        if self.widgets.get('body'):
-            self.widgets['body'].cssClass = 'span9'
 
 class KofaPage(UtilityView,Page):
@@ -202,27 +207,12 @@
         super(KofaEditFormPage,self).setUpWidgets(ignore_request)
         for widget in self.widgets:
-            if widget.__class__.__name__ == 'TextWidget':
-                widget.cssClass = 'span8'
-            elif widget.__class__.__name__ == 'IntWidget':
-                widget.cssClass = 'span2'
             if 'address' in widget.name or \
                 'comment' in widget.name or \
                 'notice' in widget.name:
-                widget.cssClass = 'span8'
                 widget.height = 6
-        if self.widgets.get('title'):
-            self.widgets['title'].cssClass = 'span12'
-        if self.widgets.get('frontpage'):
-            self.widgets['frontpage'].cssClass = 'span12'
-        if self.widgets.get('phone'):
-            self.widgets['phone'].cssClass = 'span4'
         if self.widgets.get('transcript_comment'):
-            self.widgets['transcript_comment'].cssClass = 'span12'
             self.widgets['transcript_comment'].height = 12
         if self.widgets.get('jamb_subjects'):
-            self.widgets['jamb_subjects'].cssClass = 'span8'
             self.widgets['jamb_subjects'].height = 6
-        if self.widgets.get('description'):
-            self.widgets['description'].cssClass = 'span12'
 
 class KofaAddFormPage(UtilityView,AddForm):
@@ -238,5 +228,4 @@
 
     #: An instance of the default theme to use for the site layout
-    default_theme = KofaThemeBase()
     stafftemp = grok.PageTemplateFile('templates/staffsitelayout.pt')
     studenttemp = grok.PageTemplateFile('templates/studentsitelayout.pt')
@@ -318,26 +307,4 @@
             return None          
 
-    def update(self):
-        """Include the resources required by the chosen skin/theme.
-
-        University instances provide a 'skin' attribute, that should
-        hold the internal name of a theme.
-
-        A theme in the waeup.kofa sense consists of a list of
-        CSS/JavaScript resources defined in the
-        :mod:`waeup.kofa.browser.resources` module.
-
-        If the context University object has no such attribute or the
-        set value is not a valid theme name, we pick 'gray waeup
-        theme' as default.
-        """
-        mode('minified')
-        theme_name = getattr(grok.getSite()['configuration'], 'skin', '')
-        theme = queryUtility(ITheme, name=theme_name,
-                             default=self.default_theme)
-        for resource in theme.getResources():
-            resource.need()
-        return
-
     def render(self):
         if self.isStudent() or self.isApplicant() or not self.isAuthenticated():
